
#ifndef __RENDER_H__
#define __RENDER_H__

#include "textview.h"
#include "prefs.h"

typedef struct
{
    TextView	*view;
    GtkTextBuffer *buf;
    BOOK_INFO   *binfo;
    RESULT      *link;
    Prefs	*prefs;
}  RenderTextCtx;

void            render_content(BOOK_INFO *binfo, TextView *view, gchar *text, Prefs *prefs);
gboolean	render_get_last_mark(RenderTextCtx *ctx, const gchar *name, GtkTextIter *iter1, GtkTextIter *iter2);

#endif /* __RENDER_H__ */
