
#ifndef __DICTS_H__
#define __DICTS_H__

G_BEGIN_DECLS

#define TYPE_DICTS (dicts_get_type ())
#define DICTS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DICTS, DICTS))
#define DICTS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DICTS, DictsClass))
#define IS_DICTS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DICTS))
#define IS_DICTS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DICTS))
#define DICTS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DICTS, DictsClass))

typedef struct _Dicts Dicts;
typedef struct _DictsClass DictsClass;

struct _Dicts {
    GObject	    parent_instance;
    GData	    *data;
    GtkTreeStore    *store;
};

struct _DictsClass {
    GObjectClass    parent_class;
};

gint		    dicts_load(Dicts *self);
void		    dicts_save(Dicts *self);
gboolean	    dicts_get_nth(Dicts *self, gint n, GtkTreeIter *iter);

GType		    dicts_get_type (void);

G_END_DECLS

#endif /* __DICTS_H__ */

#ifndef __PREF_DICTGROUP_H__
#define __PREF_DICTGROUP_H__

void            dicts_show(GtkWidget *w, gpointer data);
//void            dicts_save();
//void            dicts_load();
GtkWidget*	dicts_info(gboolean create);
GtkTreePath*    dicts_find_path(EB_Book *book);

void            my_gtk_tree_store_swap(GtkTreeStore *tree_store, GtkTreeIter *a, GtkTreeIter *b);
void            my_gtk_combo_box_set_active_text(GtkComboBox *combo, const gchar *text);

#if 0
struct _dicts
{
    gboolean show_info;
    GtkTreeStore *store;
    GtkWidget   *dlg, *view, *path, *search_depth;
} dicts;
#endif

#endif /* __PREF_DICTGROUP_H__ */
